Package org.opencv.xfeatures2d

## Class DAISY

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features.Feature2D
    - - org.opencv.xfeatures2d.DAISY

-     public class DAISY
      extends Feature2D

  Class implementing DAISY descriptor, described in CITE: Tola10 radius radius of the descriptor at the initial scale q_radius amount of radial range division quantity q_theta amount of angular range division quantity q_hist amount of gradient orientations range division quantity norm choose descriptors normalization type, where DAISY::NRM_NONE will not do any normalization (default), DAISY::NRM_PARTIAL mean that histograms are normalized independently for L2 norm equal to 1.0, DAISY::NRM_FULL mean that descriptors are normalized for L2 norm equal to 1.0, DAISY::NRM_SIFT mean that descriptors are normalized for L2 norm equal to 1.0 but no individual one is bigger than 0.154 as in SIFT H optional 3x3 homography matrix used to warp the grid of daisy but sampling keypoints remains unwarped on image interpolation switch to disable interpolation for speed improvement at minor quality loss use_orientation sample patterns using keypoints orientation, disabled by default.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `NRM_FULL` |
    `static int` | `NRM_NONE` |
    `static int` | `NRM_PARTIAL` |
    `static int` | `NRM_SIFT` |

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DAISY​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DAISY` | `__fromPtr__​(long addr)` |
    `static DAISY` | `create()` |
    `static DAISY` | `create​(float radius)` |
    `static DAISY` | `create​(float radius, int q_radius)` |
    `static DAISY` | `create​(float radius, int q_radius, int q_theta)` |
    `static DAISY` | `create​(float radius, int q_radius, int q_theta, int q_hist)` |
    `static DAISY` | `create​(float radius, int q_radius, int q_theta, int q_hist, Mat H)` |
    `static DAISY` | `create​(float radius, int q_radius, int q_theta, int q_hist, Mat H, boolean interpolation)` |
    `static DAISY` | `create​(float radius, int q_radius, int q_theta, int q_hist, Mat H, boolean interpolation, boolean use_orientation)` |
    `protected void` | `finalize()` |
    `java.lang.String` | `getDefaultName()` | Returns the algorithm string identifier.
    `Mat` | `getH()` |
    `boolean` | `getInterpolation()` |
    `int` | `getNorm()` |
    `int` | `getQHist()` |
    `int` | `getQRadius()` |
    `int` | `getQTheta()` |
    `float` | `getRadius()` |
    `boolean` | `getUseOrientation()` |
    `void` | `setH​(Mat H)` |
    `void` | `setInterpolation​(boolean interpolation)` |
    `void` | `setNorm​(int norm)` |
    `void` | `setQHist​(int q_hist)` |
    `void` | `setQRadius​(int q_radius)` |
    `void` | `setQTheta​(int q_theta)` |
    `void` | `setRadius​(float radius)` |
    `void` | `setUseOrientation​(boolean use_orientation)` |

    - ### Methods inherited from class org.opencv.features.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NRM_NONE

          public static final int NRM_NONE

      See Also:
        Constant Field Values

    - #### NRM_PARTIAL

          public static final int NRM_PARTIAL

      See Also:
        Constant Field Values

    - #### NRM_FULL

          public static final int NRM_FULL

      See Also:
        Constant Field Values

    - #### NRM_SIFT

          public static final int NRM_SIFT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DAISY

          protected DAISY​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static DAISY __fromPtr__​(long addr)

    - #### create

          public static DAISY create​(float radius,
                                     int q_radius,
                                     int q_theta,
                                     int q_hist,
                                     Mat H,
                                     boolean interpolation,
                                     boolean use_orientation)

    - #### create

          public static DAISY create​(float radius,
                                     int q_radius,
                                     int q_theta,
                                     int q_hist,
                                     Mat H,
                                     boolean interpolation)

    - #### create

          public static DAISY create​(float radius,
                                     int q_radius,
                                     int q_theta,
                                     int q_hist,
                                     Mat H)

    - #### create

          public static DAISY create​(float radius,
                                     int q_radius,
                                     int q_theta,
                                     int q_hist)

    - #### create

          public static DAISY create​(float radius,
                                     int q_radius,
                                     int q_theta)

    - #### create

          public static DAISY create​(float radius,
                                     int q_radius)

    - #### create

          public static DAISY create​(float radius)

    - #### create

          public static DAISY create()

    - #### setRadius

          public void setRadius​(float radius)

    - #### getRadius

          public float getRadius()

    - #### setQRadius

          public void setQRadius​(int q_radius)

    - #### getQRadius

          public int getQRadius()

    - #### setQTheta

          public void setQTheta​(int q_theta)

    - #### getQTheta

          public int getQTheta()

    - #### setQHist

          public void setQHist​(int q_hist)

    - #### getQHist

          public int getQHist()

    - #### setNorm

          public void setNorm​(int norm)

    - #### getNorm

          public int getNorm()

    - #### setH

          public void setH​(Mat H)

    - #### getH

          public Mat getH()

    - #### setInterpolation

          public void setInterpolation​(boolean interpolation)

    - #### getInterpolation

          public boolean getInterpolation()

    - #### setUseOrientation

          public void setUseOrientation​(boolean use_orientation)

    - #### getUseOrientation

          public boolean getUseOrientation()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`